Issue 120784 - [testuno] - test writer's paper width, height, margins, orientation, header/footer via uno api
[testuno] - test writer's paper width, height, margins, orientation, header/f...
Status: CLOSED FIXED
Product: QA
Classification: Unclassified
Component: testscripts
3.4.1
All All
: P3 normal
: 4.0.0
Assigned To: automat
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-31 10:50 UTC by xiao ting xiao
Modified: 2013-07-11 14:50 UTC (History)
4 users (show)

See Also:
Issue Type: TASK
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
patch (40.11 KB, patch)
2012-09-13 11:03 UTC, xiao ting xiao
no flags Details | Diff
new patch (49.56 KB, patch)
2012-09-14 09:35 UTC, xiao ting xiao
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description xiao ting xiao 2012-08-31 10:50:34 UTC
in writer, use uno api to test:
paper's width, height
paper's orientation
paper's margin
Comment 1 xiao ting xiao 2012-08-31 10:55:21 UTC
also include paper's background.
Comment 2 xiao ting xiao 2012-09-13 11:03:15 UTC
Created attachment 79491 [details]
patch
Comment 3 xiao ting xiao 2012-09-13 11:15:18 UTC
attach the patch, use uno to test page format, include

1. page's width/height, orientation, margin
2. page's background, include back color and back graphic
3. page's header/footer settings, such as margin, spacing, height, border, background

also include 3 methods in SWUtil.java

one update in sw/DocumentTest.java to apply latest version of prepareData() method in Testspace.java
Comment 4 xiao ting xiao 2012-09-14 09:35:25 UTC
Created attachment 79510 [details]
new patch

Carl Marcum,

Thanks your reminder. I update the patch. Please help review.
Comment 5 aliuzhe 2012-09-22 11:35:53 UTC
committed on r1388771
Comment 6 Li Feng Wang 2012-12-04 04:34:10 UTC
Already commit.